#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f3)
#-----------------------------------------------------------------------------
Name		:	xf86-video-nouveau
Version		:	1.0.17
Release		:	17.0.10.rel%{?dist}
Summary		: 	NVidia video driver for the Xorg X server
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/driver/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	automake
BuildRequires	:	autoconf
BuildRequires	:	libdrm
BuildRequires	:	libtool
BuildRequires	:	mesa
BuildRequires	:	make
BuildRequires	:	xorg-server
BuildRequires	:	xorg-util-macros
#-----------------------------------------------------------------------------
%description
The Xorg Nouveau Driver package contains the X.Org Video Driver for
NVidia Cards including RIVA TNT, RIVA TNT2, GeForce 256, QUADRO,
GeForce2, QUADRO2, GeForce3, QUADRO DDC, nForce, nForce2, GeForce4,
QUADRO4, GeForce FX, QUADRO FX, GeForce 6XXX and GeForce 7xxx chipsets.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/xorg/modules/drivers/%{sname}_drv.so
%{_mandir}/man4/%{sname}.4.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

#First, fix the Xorg Nouveau Driver to build with the latest Xorg Server: 
grep -rl slave | xargs sed -i s/slave/secondary/

autoreconf -v --install --force
./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
